package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.Date;

public class TKtinfo {
    private String id;

    private String orgId;

    private String vdevcode;

    private String vdevname;

    private Integer idevtdh;

    private String sitecode;

    private String vcfcode;

    private BigDecimal currenttemp;

    private Integer currentmode;

    private BigDecimal currentspeed;

    private BigDecimal intemp;

    private Integer valarmstatue;

    private Integer vstatue;

    private Date updatetime;

    private String remark;

    private Integer delFlag;

    /**
     * 空调信息id 32位
     * @return id 空调信息id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 空调信息id 32位
     * @param id 空调信息id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vdevname 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 通道号
     * @return idevtdh 通道号
     */
    public Integer getIdevtdh() {
        return idevtdh;
    }

    /**
     * 通道号
     * @param idevtdh 通道号
     */
    public void setIdevtdh(Integer idevtdh) {
        this.idevtdh = idevtdh;
    }

    /**
     * 站点编码
     * @return sitecode 站点编码
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编码
     * @param sitecode 站点编码
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 当前温度
     * @return currenttemp 当前温度
     */
    public BigDecimal getCurrenttemp() {
        return currenttemp;
    }

    /**
     * 当前温度
     * @param currenttemp 当前温度
     */
    public void setCurrenttemp(BigDecimal currenttemp) {
        this.currenttemp = currenttemp;
    }

    /**
     * 当前模式
     * @return currentmode 当前模式
     */
    public Integer getCurrentmode() {
        return currentmode;
    }

    /**
     * 当前模式
     * @param currentmode 当前模式
     */
    public void setCurrentmode(Integer currentmode) {
        this.currentmode = currentmode;
    }

    /**
     * 当前风速
     * @return currentspeed 当前风速
     */
    public BigDecimal getCurrentspeed() {
        return currentspeed;
    }

    /**
     * 当前风速
     * @param currentspeed 当前风速
     */
    public void setCurrentspeed(BigDecimal currentspeed) {
        this.currentspeed = currentspeed;
    }

    /**
     * 室温
     * @return intemp 室温
     */
    public BigDecimal getIntemp() {
        return intemp;
    }

    /**
     * 室温
     * @param intemp 室温
     */
    public void setIntemp(BigDecimal intemp) {
        this.intemp = intemp;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @return valarmstatue 设备状态 0:正常；1：异常
     */
    public Integer getValarmstatue() {
        return valarmstatue;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @param valarmstatue 设备状态 0:正常；1：异常
     */
    public void setValarmstatue(Integer valarmstatue) {
        this.valarmstatue = valarmstatue;
    }

    /**
     * 操作状态 0关闭，1打开，2反正，3停止
     * @return vstatue 操作状态 0关闭，1打开，2反正，3停止
     */
    public Integer getVstatue() {
        return vstatue;
    }

    /**
     * 操作状态 0关闭，1打开，2反正，3停止
     * @param vstatue 操作状态 0关闭，1打开，2反正，3停止
     */
    public void setVstatue(Integer vstatue) {
        this.vstatue = vstatue;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}